<bugID>847949<Summary>DownloadURL should get the most recent window of the same privacy status as the current one</Summary><Description>&gt;51 function DownloadURL(aURL, aFileName) {
&gt;52   // For private browsing, try to get document out of the most recent browser
&gt;53   // window, or provide our own if there's no browser window.
&gt;54   let browserWin = RecentWindow.getMostRecentBrowserWindow();
&gt;55   let initiatingDoc = browserWin ? browserWin.document : document;
&gt;56   saveURL(aURL, aFileName, null, true, true, undefined, initiatingDoc);

This doesn't look right to me. I think we want to be getting the most recent browser window of the same privacy status instead.</Description></bugID>